(Another) WordPress Security Alert

This security alert is not specific to any plugin or theme, but to WordPress sites in general. According to Sucuri, the past few days has seen a much higher than normal amount of sites infected with malicious code.

What does it look like?

If your site is behaving strangely or is displaying content you are not familiar with, you may be infected. You can use Sucuri’s scanning tool here, to be see if that is the case.

What can you do to protect yourself?

  1. Create a regular backup of your site so you can restore your site if you do get infected.
  2. Update your admin passwords to be as strong as possible. This is the easiest and most effective way you can protect yourself.
  3. Update all plugins on your site to their most recent versions to close any security holes.

WordPress can be a dangerous place, protect yourself!

WPTouch Security Vulnerability

If you are using the plugin WPTouch, you should be updating it immediately because of a vulnerability caught by the good folks at Sucuri. WPTouch is a great plugin for a mobile specific site, just make sure you are using the most current version that has patched the security vulnerability. Read more